#
# spec file for package perl-File-ShareDir-Install
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-ShareDir-Install
Name:           perl-File-ShareDir-Install
Version:        0.140.0
Release:        1.1
# 0.14 -> normalize -> 0.140.0
%define cpan_version 0.14
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Install shared files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(File::ShareDir::Install) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
File::ShareDir::Install allows you to install read-only data files from a
distribution. It is a companion module to File::ShareDir, which allows you
to locate these files after installation.

It is a port of Module::Install::Share to ExtUtils::MakeMaker with the
improvement of only installing the files you want; '.svn', '.git' and other
source-control junk will be ignored.

Please note that this module installs read-only data files; empty
directories will be ignored.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Tue May 20 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sat Jul  2 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.14
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
  0.14      2022-07-01 03:46:36Z
  - work around a build issue on windows (RT#125571)
* Tue Apr 24 2018 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
  0.13      2018-04-22 08:19:00Z
  - re-instate testrules.yml file to force serialize testing
* Sat Apr 21 2018 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
  0.12      2018-04-20 11:00:09Z
  - add rules files for 'prove' and Test::Harness to specify that tests need
    to be run serially for now
  - support spaces (and other special characters too) in share files (PR #2;
    thanks, Shoichi Kaji!)
* Wed Aug 10 2016 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
* Tue Aug  9 2016 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
  0.10  Dec 10 2014
  - Recurse with $def in _scan_share_dir
    Thank you KENTNL for rt95749
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.09
  - Get rid of DB::single
    Thank you djerius@cpan.org
  - Don't do POD tests
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.08
  - Tests may now be run in parallel
    Thank you KENTNL@cpan.org
  - Added delete_share
    Thank you dmuey@cpan.org
  - Added $INCLUDE_DOTFILES and $INCLUDE_DOTDIRS
    Thank you sharyanto@cpan.org
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.05
  - Tweak doco and fix typos
* Fri Nov 18 2011 coolo@suse.com
- update to 0.04
  - Tweak for better error reports
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.03
  * created by cpanspec 1.78.03
